package com.nokia.sms.entity;

import lombok.Data;

/*
 * 解除黑名单请求的body
 */
@Data
public class DelBlkBody {
    // blk_Num 21 C-Octet String 否 不带86
    private String blkNum;
    // block_type 1 Unsigned Integer 否 1：黑名单号码 2：黑名单号段
    private byte block_type = 1;
    // blk_type 1 Unsigned Integer 否 1：主叫黑名单 固定值
    private byte blk_type = 1;
    // province_code 1 Unsigned Integer 否 黑名单的省份代码，参见附录B
    // 河北省对应code为13，这里是黑名单省份，与号码归属无关
    private byte province_code = 13;

    public DelBlkBody(String phoneNumber) {
        blkNum = phoneNumber;
    }

    public DelBlkBody() {
        
    }
}
